<?php 
if(isset($_POST['city']) && $_POST['city']!=""){
	if(get_option('wp_weather_city')){
		update_option('wp_weather_city',$_POST['city']);
		update_option('wp_weather_city_name',$_POST['city-'.$_POST['city']]);
	}else{
		add_option('wp_weather_city',$_POST['city'],'myweather city');
		add_option('wp_weather_city_name',$_POST['city-'.$_POST['city']],'myweather city name');
		add_option('wp_weather_city_temp',"C",'myweather city temp');
		add_option('wp_weather_city_cache',"3600",'myweather city cache');
	}
}
if(isset($_POST['temp']) && $_POST['temp']!=""){
	if(get_option('wp_weather_city_temp')){
		update_option('wp_weather_city_temp',$_POST['temp']);
		update_option('wp_weather_city_cache',$_POST['cache']);
	}else{
		add_option('wp_weather_city_temp',$_POST['temp'],'myweather city temp');
		add_option('wp_weather_city_cache',$_POST['cache'],'myweather city cache');
	}
}
$cityname=get_option('wp_weather_city_name');
$citytemp=get_option('wp_weather_city_temp');
if(!$citytemp){
	$citytemp="C";
}
$citycache=get_option('wp_weather_city_cache');
if(!$citycache){
	$citycache="3600";
}
?>
<div class="wrap">
	<h2>myWeather configuration</h2>
	<?php if($cityname){?>
	<form method="post">		
		<fieldset class="options">
			<legend>update config</legend>
		<table class="optiontable"> 
			<tr valign="top"> 
				<th scope="row">City</th>
                <td><?php echo $cityname?></td>                      
			</tr>
			<tr valign="top"> 
				<th scope="row">Grade</th>
                <td><select name="temp">
                <option value="C"<?php if($citytemp=="C"){echo ' selected="selected"';}?>>Celsius</option>
                <option value="F"<?php if($citytemp=="F"){echo ' selected="selected"';}?>>Fahrenheit</option>
                </select></td>                      
			</tr>
			<tr valign="top"> 
				<th scope="row">Cache time</th>
                <td><input type="text" name="cache" value="<?php echo $citycache;?>" />seconds</td>                      
			</tr>
		</table>
		<div class="submit"><input type="submit" name="Submit" value="Update Config &raquo;" /></div>
		</fieldset>
	</form>
	<?php }?>
	
	<form method="post">		
		<fieldset class="options">
			<legend>Search city</legend>
		<table class="optiontable"> 
			<tr valign="top"> 
				<th scope="row">Insert city name</th>
                <td><input type="text" name="code" value="<?php echo $_POST['code']?>" /></td>                      
			</tr>
		</table>
		<div class="submit"><input type="submit" name="Submit" value="Search city &raquo;" /></div>
		</fieldset>

	</form>

<?php
if(isset($_POST['code']) && $_POST['code']!=""){
	$struct = array();
	function startElement($parser, $name, $attrs){
    	global $struct;
            $tag = array("name"=>$name,"attrs"=>$attrs);
            array_push($struct,$tag);
	}
 
	function datax($parser, $data){
            global $struct,$i;
            if(trim($data)){
                        $struct[count($struct)-1]['data']=$data;
            }
	}
 
	function endElement($parser, $name){
            global $struct;
            $struct[count($struct)-2]['child'][] = $struct[count($struct)-1];
            array_pop($struct);
	}
 
 
            
	global $struct;
	$fdata = "http://xoap.weather.com/search/search?where=".str_replace(" ","+",$_POST['code']);

	
	$file=file_get_contents($fdata);
	$xml_parser = xml_parser_create();
	
    xml_set_element_handler($xml_parser, "startElement", "endElement");
	xml_set_character_data_handler($xml_parser, "datax");
	$xml=xml_parse($xml_parser,$file);
	
	$value=$struct[0]['child'];
	$nn=count($value);
	if($nn==0){
		echo "<h3>no city found</h3>";
	}else{
	$cityname= array();
	?>
	<form method="post">
	<fieldset class="options">
	<h2>Select city</h2>
		<table class="optiontable"> 
			<tr valign="top"> 
<th scope="row">City Found</th>
<td>
<select name="city">
<?php foreach($value as $city){?>
<option value="<?php echo $city['attrs']['ID']?>"><?php echo $city['data']?></option>
<?php }?>
</select>
<?php foreach($value as $city){?>
<input type="hidden" name="city-<?php echo $city['attrs']['ID']?>" value="<?php echo $city['data']?>" />
<?php }?>
</td>
</tr>
</table>
<div class="submit"><input type="submit" name="Submit" value="Save city &raquo;" /></div>
</fieldset>
</form>
<?php 
	}
}
?>
		</div>
